libzypp: zypp::JobReport Class Reference

libzypp 17.38.9

zypp::JobReport Class Reference

Generic report for sending messages. More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::JobReport:

## Classes
struct | EMsgTypeDef
| message type (use like 'enum class MsgType') More...

## Public Types
typedef base::EnumClass< EMsgTypeDef > | MsgType
| 'enum class MsgType'
typedef callback::UserData | UserData
| typsafe map of userdata
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual bool | message (MsgType type_r, const std::string &msg_r, const UserData &userData_r) const
| Send a ready to show message text.
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Static Public Member Functions
Static sender instance
static callback::SendReport< JobReport > & | instance ()
| Singleton sender instance.
static bool | debug (const std::string &msg_r, const UserData &userData_r=UserData())
| send debug message text
static bool | info (const std::string &msg_r, const UserData &userData_r=UserData())
| send message text
static bool | warning (const std::string &msg_r, const UserData &userData_r=UserData())
| send warning text
static bool | error (const std::string &msg_r, const UserData &userData_r=UserData())
| send error text
static bool | important (const std::string &msg_r, const UserData &userData_r=UserData())
| send important message text
static bool | data (const std::string &msg_r, const UserData &userData_r=UserData())
| send data message

## Static Public Attributes
static const ContentType | repoRefreshMirrorlist { "reporefresh", "mirrorlist" }

## Detailed Description

Generic report for sending messages.

Definition at line 1069 of file ZYppCallbacks.h.

## Member Typedef Documentation

## ◆ MsgType

typedef base::EnumClass<EMsgTypeDef> zypp::JobReport::MsgType

'enum class MsgType'

Definition at line 1076 of file ZYppCallbacks.h.

## ◆ UserData

typedef callback::UserData zypp::JobReport::UserData

typsafe map of userdata

Definition at line 1079 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ message()

virtual bool zypp::JobReport::message | ( | MsgType | type_r,
|  | const std::string & | msg_r,
|  | const UserData & | userData_r ) const
| inlinevirtual

Send a ready to show message text.

Definition at line 1085 of file ZYppCallbacks.h.

## ◆ instance()

callback::SendReport< JobReport > & zypp::JobReport::instance | ( |  | ) |
| static

Singleton sender instance.

Definition at line 100 of file ZYppImpl.cc.

## ◆ debug()

bool zypp::JobReport::debug | ( | const std::string & | msg_r,
|  | const UserData & | userData_r = UserData() )
| inlinestatic

send debug message text

Definition at line 1095 of file ZYppCallbacks.h.

## ◆ info()

bool zypp::JobReport::info | ( | const std::string & | msg_r,
|  | const UserData & | userData_r = UserData() )
| inlinestatic

send message text

Definition at line 1099 of file ZYppCallbacks.h.

## ◆ warning()

bool zypp::JobReport::warning | ( | const std::string & | msg_r,
|  | const UserData & | userData_r = UserData() )
| inlinestatic

send warning text

Definition at line 1103 of file ZYppCallbacks.h.

## ◆ error()

bool zypp::JobReport::error | ( | const std::string & | msg_r,
|  | const UserData & | userData_r = UserData() )
| inlinestatic

send error text

Definition at line 1107 of file ZYppCallbacks.h.

## ◆ important()

bool zypp::JobReport::important | ( | const std::string & | msg_r,
|  | const UserData & | userData_r = UserData() )
| inlinestatic

send important message text

Definition at line 1111 of file ZYppCallbacks.h.

## ◆ data()

bool zypp::JobReport::data | ( | const std::string & | msg_r,
|  | const UserData & | userData_r = UserData() )
| inlinestatic

send data message

Definition at line 1115 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ repoRefreshMirrorlist

const JobReport::ContentType zypp::JobReport::repoRefreshMirrorlist { "reporefresh", "mirrorlist" }
| static

Definition at line 1081 of file ZYppCallbacks.h.

The documentation for this class was generated from the following files:

- zypp/ZYppCallbacks.h
- zypp/zypp_detail/ZYppImpl.cc
- zypp/ZYppCallbacks.cc